gitea(1)

NAME
gitea - painless self-hosted Git service management.

SYNOPSIS
gitea [globaloptions] command [commandoptions] [arguments...]

DESCRIPTION
A service management VCS for git, like github or gitlab, focused on simplicity. It's a fork from gogs(1). The goal is to make the easiest, fastest, and most painless way of setting up and run a self-hosted Git service management.

gitea is the binary that provides all the services to made that. The gitea web command is the only thing you need to run, and it takes care of all the other things for you.

DEFAULTS
The gitea package setup in port 3001 a self hosting service for git management, after install automatically browse to http://127.0.0.1:3001 for just push install button. The firts user to register will be the admin user if at install you do not define it. When remove package, gitea package will let config files still in gitea home, if reinstall just repeat. When purge package, all the settings and repositories will be deleted forever.

The default installation are set to /usr/lib/gitea, so the gitea binary will find all where was run, the daemon set WORKINGDIR to this location. Rest of path are '/var/lib/gitea' for data files and '/var/log/gitea' for logging files. The configuration called "custom/conf/app.ini" are set by daemon script to '/var/lib/gitea/custom/conf/app.ini' with link in '/etc/gitea/app.ini'

GIT REPOSITORIES
The gitea service by default looks into the directory /var/lib/git/gitearepos for repositories. It expects to have read-write access, all the management will be made by the gitea so the urls,repositories must setup and populate with gitea interfaces.

The gitea manages and control own repositories, due need to mantain events and sync taking in consideration that git are not ccentraliced. So do not mix git repositories if you do not known what are you doing.

OPTIONS

--help, -h
    show help

--version, -v
    print the version

  COMMANDS:

web Start web server, and server at the port 3000 by default. gitea web server is the only thing you need to run, and it takes care of all the other things for you

  web options

--port number, -p number
    Temporary port number to prevent conflict (default: "3001")

--config value, -h value
    Custom configuration file path (default: "/var/lib/gitea/custom/conf/app.ini")

serv
    This command should only be called by SSH shell. Serv provide access auth for repositories

  serv options

--config value, -h value
    Custom configuration file path (default: "/var/lib/gitea/custom/conf/app.ini")

hook
    Delegate commands to corresponding Git hooks

  hook options

--config value, -h value
    Custom configuration file path (default: "/var/lib/gitea/custom/conf/app.ini")

cert
    Generate self-signed X.509 certificate for a TLS server. Outputs to 'cert.pem' and 'key.pem' and will overwrite existing files.

  cert options

--ca
    whether this cert should be its own Certificate Authority

--host value
    Comma-separated hostnames and IPs to generate a certificate for

--rsa-bits value
    Size of RSA key to generate. Ignored if --ecdsa-curve is set (default: 2048)

--start-date value
    Creation date formatted as Jan 1 15:04:05 2011

--duration value
    Duration that certificate is valid for (default: 8760h0m0s)

admin
    Perform admin operations on command line. Allow using internal logic of gitea without hacking into the source code to make automatic initialization process more smoothly

  admin subcomands options

--create-user
    Internal usage only, create a user parsing name, password, email as arguments

import
    Allow user import data from other gitea installations to local instance without manually hacking the data files.

backup
    Backup dumps and compresses all related files and database into zip file, which can be used for migrating gitea to another server. The output format is meant to be portable among all supported database engines.

  backup options

--config value, -h value
    Custom configuration file path (default: "/var/lib/gitea/custom/conf/app.ini")

--verbose, -v
    Show process details

--tempdir value, -t value
    Temporary directory path (default: "/tmp")

--target value,
    Target directory path to save backup archive (default: "./")

--archive-name value
    Name of backup archive (default: "gitea-backup-20170913233345.zip")

--database-only
    Only dump database, no repositories or data files.

--exclude-repos
    do not dumpo and compress repositories, must use on large deploys with huge or large repositories.

restore
    Restore imports all related files and database from a backup archive. The backup version must lower or equal to current gitea version. You can also import backup from other database engines, which is useful for database migrating. If corresponding files or database tables are not presented in the archive, they will be skipped and remain unchanged

  restore options

--config value, -h value
    Custom configuration file path (default: "/var/lib/gitea/custom/conf/app.ini")

--verbose, -v
    Show process details

--tempdir value, -t value
    Temporary directory path (default: "/tmp")

--from value,
    Target directory path where restore backup archive are, must include the name in the value.

--database-only
    Only restore database, no repositories or data files.

--exclude-repos
    do not restore any repositories, must use on large deploys with huge or large repositories.

help, h
    Shows a list of commands or help for one command

COPYRIGHT
Gitea its Copyright © 2016-2017 Gitea team. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PAR‐ TICULAR PURPOSE. This manpage was created by PICCORO Lenz McKAY <mckaygerhard@gmail.com> for the VenenuX project.

SEE ALSO
git(1) gogs(1)